R4DSi Not Working!!!!

Discussion in 'R4 DS' started by killakk, Feb 13, 2010.

  1. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    Ok guys I have a version 1.2 dsi... My r4dsi used to work but one day while I was watching something on moonshell it crashed. I turned on my dsi on again and when I go to where it shows the game inserted, the logo of the r4dsi isn't there. It just shows a blank white box, when I go on the box and either touch it with the stylus or press A on it, it says the follwing:

    " An error has occurred, turn off and refer to dsi manual for details"

    I AM CURRENTLY USING 1.2E WHAT SHOULD I DO!? [​IMG] [​IMG]
     
  2. ProtoKun7

    ProtoKun7 GBAtemp Time Lord Regenerations: 3

    Global Moderator
    7,513
    1,555
    Jan 3, 2009
    Gallifrey
    My facetious answer would be to get a better cart.
     
  3. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    I have just done the latest firmware update
     
  4. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    will my r4ds still work? [​IMG]
     
  5. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    on settings it says version 1.4e
     
  6. AceOfAces

    AceOfAces GBAtemp Regular

    Member
    109
    0
    Oct 20, 2009
    United States
    Rosemead, CA
    I recommend you get a new flashcart. (i.e. AceKard 2i)
     
  7. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    ok but I already had a r4dsi and it worked perfectly I like the interface of that so I should just but a new flashcart? right?
     
  8. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    6
    Dec 23, 2008
    United States
    Maybe if you post a lot of messages really really fast it'll work.....


    The point that ProtoKun7 was making is, ALL R4's are junk.
    Real ones are VERY outdated and practically must rely on YSMenu to be of use.
    Clones are clones - Poor quality, spotty compatibility and infrequent updates at best.

    To take a guess, I'd say when Moonshell crashed, something on the card got corrupted.
    You could try to format your MicroSD card and start over with fresh firmware and hope that works, but where you aren't even getting the R4's game icon to show, I think that your card is dead.

    If you are going to get a new card, get a QUALITY card that's not a clone.
    Clones might be cheaper, but you get what you pay for. Cheap cards are CHEAP.
    The most popular suggestions for new cards are AceKard2i or M3i Zero. Both are relatively inexpensive, and have decent firmware and upgrades. Just make sure you buy from a reputable place so you don't get a clone/knock off.
     
  9. killakk
    OP

    killakk Member

    Newcomer
    27
    0
    Feb 13, 2010
    United States
    thanks mate will aceKard2i work on the latest firmware? If so could you give me a good site that ships to the UK
     
  10. elixirdream

    elixirdream GBAtemp Legend

    Member
    10,007
    2
    May 27, 2008
    Malaysia
    6th Dimention
    yes, ak2i will work on DSi firmware 1.4

    is either they are already compatible with all FW1.4 DSI
    or
    you can update those non compatible one via your FW1.2E DSI
     
  11. zhuzhuchina

    zhuzhuchina GBAtemp Advanced Fan

    Member
    537
    12
    Mar 17, 2008
    Switzerland
    Shanghai
    actually ak2i come without 1.4 firmware upgrade, so you still need a normal ds lite or a dsi 1.3 1.2 to upgrade the ak2i ,
    if you don't have another console maybe is better a m3i zero o supercard ds one i
     
  12. Leo Cantus

    Leo Cantus So zeta slow!

    Member
    832
    0
    May 23, 2009
    England
    When my DS doesnt recognise the R4 I take it out and put it back in again after a couple of times it works